import { TdProgressProps } from './type';
import './style';
export declare type ProgressProps = TdProgressProps;
export * from './type';
export declare const Progress: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    useGlobalIcon(tdIcon: Record<string, any>): import("..").IconConfig;
}, unknown, {
    getIconMap(): {
        success: any;
        warning: any;
        error: any;
    };
    getLabelContent(): import("vue/types/vnode").ScopedSlotReturnValue;
}, {
    statusStyle: string;
    themeClass: string;
    trackBgStyle: import("../common").Styles;
    circleStrokeStyle: import("../common").Styles;
    barStyle: import("../common").Styles;
    circlePathStyle: import("../common").Styles;
    isShowIcon: boolean;
    diameter: number;
    rPoints: number;
    radius: number;
    circleStyle: import("../common").Styles;
    circleStrokeWidth: number;
    strokeDashArr: string;
    plumpStyles: import("../common").Styles;
}, {
    color: string | string[] | Record<string, string>;
    label: string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    percentage: number;
    size: string | number;
    status: import("./type").StatusEnum;
    strokeWidth: string | number;
    theme: import("./type").ThemeEnum;
    trackColor: string;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    useGlobalIcon(tdIcon: Record<string, any>): import("..").IconConfig;
}, unknown, {
    getIconMap(): {
        success: any;
        warning: any;
        error: any;
    };
    getLabelContent(): import("vue/types/vnode").ScopedSlotReturnValue;
}, {
    statusStyle: string;
    themeClass: string;
    trackBgStyle: import("../common").Styles;
    circleStrokeStyle: import("../common").Styles;
    barStyle: import("../common").Styles;
    circlePathStyle: import("../common").Styles;
    isShowIcon: boolean;
    diameter: number;
    rPoints: number;
    radius: number;
    circleStyle: import("../common").Styles;
    circleStrokeWidth: number;
    strokeDashArr: string;
    plumpStyles: import("../common").Styles;
}, {
    color: string | string[] | Record<string, string>;
    label: string | boolean | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue);
    percentage: number;
    size: string | number;
    status: import("./type").StatusEnum;
    strokeWidth: string | number;
    theme: import("./type").ThemeEnum;
    trackColor: string;
}>>;
export default Progress;
